Summary: Utility for managing filesystem extended attributes.
Name: attr
Version: 1.1.3
Release: 0
Distribution: SGI XFS
Packager: root@stout.americas.sgi.com
BuildRoot: /tmp/11797 
Prereq: /sbin/ldconfig
Source: attr-1.1.3.src.tar.gz
Copyright: Copyright (C) 2000 Silicon Graphics, Inc.
Vendor: Silicon Graphics, Inc.
URL: http://oss.sgi.com/projects/xfs/
Group: System Environment/Base

%description
A utility for manipulating extended attributes on filesystem
objects, compatible with the SGI IRIX tool of the same name.

%package devel
Summary: Extended attribute static libraries and headers.
Group: Development/Libraries
Requires: attr

%description devel
attr-devel contains the libraries and header files needed to
develop programs which make use of extended attributes.  This
interface is compatible with the SGI IRIX extended attribute
interface, and makes use of an unofficial Linux system call.

Currently only XFS is supported, and the (experimental, unofficial)
system call interface is likely to change in the future.  However,
the API built above this system call is unlikely to change and is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install attr-devel if you want to develop programs
which make use of extended attributes.  If you install attr-devel,
you'll also want to install attr.

# If .census exists, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup
touch .census
./configure
fi

%build
/usr/bin/make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
files()
{
	sort | uniq | awk ' 
$1 == "d" { printf ("%%%%dir %%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $5); } 
$1 == "f" { if (match ($6, "/usr/share/man") || match ($6, "/usr/share/doc/attr"))
		printf ("%%%%doc ");
	    if (match ($6, "/usr/share/man"))
		printf ("%%%%attr(%s,%s,%s) %s*\n", $2, $3, $4, $6);
	    else
		printf ("%%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $6); }
$1 == "l" { if (match ($3, "/usr/share/man") || match ($3, "/usr/share/doc/attr"))
		printf ("%%%%doc ");
	    if (match ($3, "/usr/share/man"))
		printf ("%attr(0777,root,root) %s*\n", $3);
	    else
		printf ("%attr(0777,root,root) %s\n", $3); }'
}
set +x
files < "$DIST_INSTALL" > files.rpm
files < "$DIST_INSTALL_DEV" > filesdevel.rpm
set -x

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f files.rpm

%files devel -f filesdevel.rpm
